from app.schemas.requests import SubjectCreateRequest
from app.models.entities import SubjectEntity


class SubjectMapper:
    @staticmethod
    def to_entity(data: SubjectCreateRequest) -> SubjectEntity:
        return SubjectEntity(
            name=data.name,
            short_name=data.alias,
            description=data.description,
        )
